Package: org.gradle.language.nativeplatform

## [Java] Interface DependentSourceSet

- org.gradle.api.Buildable

- All Superinterfaces:
    ComponentSpec, Named, LanguageSourceSet, Buildable

  A source set that depends on one or more NativeDependencySets to be built.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Collection<?>` | `getLibs()` The libraries that this source set requires.
    `String` | `getPreCompiledHeader()` Returns the pre-compiled header configured for this source set.
    `void` | `lib(Object library)` Adds a library that this source set requires.
    `void` | `setPreCompiledHeader(String header)` Sets the pre-compiled header to be used when compiling sources in this source set.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface LanguageSourceSet` | `generatedBy, getParentName, getSource`
    `interface BuildableComponentSpec` | `builtBy, getBuildTask, setBuildTask, hasBuildDependencies, getBuildDependencies, getDisplayName, getProjectPath, getName`

- - ### Method Detail

    - #### public Collection<?> getLibs()

      The libraries that this source set requires.

    - #### public String getPreCompiledHeader()

      Returns the pre-compiled header configured for this source set.

      Returns:
        the pre-compiled header

    - #### public void lib(Object library)

      Adds a library that this source set requires. This method accepts the following types:

      - A NativeLibrarySpec
      - A NativeDependencySet
      - A LanguageSourceSet
      - A Map containing the library selector.
      The Map notation supports the following String attributes:
      - project: the path to the project containing the library (optional, defaults to current project)
      - library: the name of the library (required)
      - linkage: the library linkage required ['shared'/'static'] (optional, defaults to 'shared')

    - #### public void setPreCompiledHeader(String header)

      Sets the pre-compiled header to be used when compiling sources in this source set.

      Parameters:
        `header` - the header to precompile